from django import forms
from django.contrib.auth.forms import UserChangeForm, UserCreationForm
from django.utils.translation import gettext_lazy as _

from .models import RadioUser


class RadioUserChangeForm(UserChangeForm):
    '''
    A form for updating users for the radio.
    '''

    class Meta:
        model = RadioUser
        fields = '__all__'


class RadioUserCreationForm(UserCreationForm):
    '''
    A form for creating new users for the radio.
    '''

    class Meta:
        model = RadioUser
        fields = ('email', 'name')



